<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Clientes_certificador_model extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
    }

    public function addCliente($data)
    {
        return $this->db->insert('sma_clientes_certificador_conexion', $data);
    }

    public function updateCliente($id, $data)
    {
        $this->db->where('id', $id);
        return $this->db->update('sma_clientes_certificador_conexion', $data);
    }

    public function deleteCliente($id)
    {
        return $this->db->delete('sma_clientes_certificador_conexion', ['id' => $id]);
    }

    public function getClienteByID($id)
    {
        $q = $this->db->get_where('sma_clientes_certificador_conexion', ['id' => $id]);
        return $q->row();
    }

    public function getAllCertificadores()
    {
        $q = $this->db->get('sma_certificadores');
        return $q->result();
    }

    public function getAllSucursales()
    {
        $q = $this->db->get('sma_warehouses');
        return $q->result();
    }
}
